﻿namespace Sharing.DaoShu110.Dtos
{
    public class DeReponse<TData>
    {
        /// <summary>
        /// 状态
        /// </summary>
        public int rcode { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string rmsg { get; set; }

        /// <summary>
        /// 数据
        /// </summary>
        public TData rdata { get; set; }

        /// <summary>
        /// 成功
        /// </summary>
        /// <param name="data"></param>
        /// <param name="description"></param>
        /// <returns></returns>
        public static DeReponse<TData> Succeed(TData data, string? description = "")
        {
            return new DeReponse<TData>
            {
                rcode = 0,
                rdata = data,
                rmsg = (description ?? "调用成功")
            };
        }

        /// <summary>
        /// 失败
        /// </summary>
        /// <param name="data"></param>
        /// <param name="description"></param>
        /// <returns></returns>
        public static DeReponse<TData> Failed(TData data, string? description = "")
        {
            return  new DeReponse<TData>
            {
               rcode = 0,
                rdata = data,
                rmsg = (description ?? "调用失败")
            };
        }
    }
}
